--- doxygen-1.3.4/src/doxygen.cpp	2003-09-07 14:27:48.000000000 -0400
+++ doxygen-1.3.4.new/src/doxygen.cpp	2003-10-24 00:08:54.000000000 -0400
@@ -2320,18 +2320,29 @@
                   md->setArgumentList(argList);
                 }
               }
-              else if (!md->documentation().isEmpty() && !root->doc.isEmpty())
+              else if (!md->documentation().stripWhiteSpace().isEmpty() && !root->doc.stripWhiteSpace().isEmpty() && md->documentation().stripWhiteSpace() != root->doc.stripWhiteSpace())
               {
-                warn(root->docFile,root->docLine,"Warning: member %s: ignoring the detailed description found here, since another one was found at line %d of file %s!",md->name().data(),md->docLine(),md->docFile().data());
+                warn(root->docFile,root->docLine,"Warning: member %s: ignoring the detailed description found here, since a different one was found at line %d of file %s!",md->name().data(),md->docLine(),md->docFile().data());
               }
 
               if (md->briefDescription().isEmpty() && !root->brief.isEmpty())
               {
                 md->setBriefDescription(root->brief,root->briefFile,root->briefLine);
               }
-              else if (!md->briefDescription().isEmpty() && !root->brief.isEmpty())
+              else if (!md->briefDescription().stripWhiteSpace().isEmpty() && !root->brief.stripWhiteSpace().isEmpty())
               {
-                warn(root->briefFile,root->briefLine,"Warning: member %s: ignoring the brief description found here, since another one was found at line %d of file %s!",md->name().data(),md->briefLine(),md->briefFile().data());
+                // don't complain if brief descriptions are the same
+                // must match the punctuation change wrought by setBriefDescription()
+                QCString b = root->brief.stripWhiteSpace();
+                switch(b.at(b.length()-1))
+                {
+                  case '.': case '!': case '?': break;
+                  default:
+                    if (isupper(b.at(0))) b+='.';
+                    break;
+                }
+                if (md->briefDescription().stripWhiteSpace() != b)
+                  warn(root->briefFile,root->briefLine,"Warning: member %s: ignoring the brief description found here, since a different one was found at line %d of file %s!",md->name().data(),md->briefLine(),md->briefFile().data());
               }
               
               md->addSectionsToDefinition(root->anchors);
